/* smtp.h
**
** Interface file for `smtp.c'
** (deliver a message to a non-local recipient
**  (through an open SMTP connection).)
**
*/
#ifndef _SMTP_H
#define _SMTP_H

#include <stdio.h>
#include <sys/types.h>

#include "hlsock.h"

int smtp_result (HLSock serv);
int smtp_init (HLSock serv, char *host);
int smtp_envelope (HLSock serv, char *sender, char *recip);
int smtp_bodyinit (HLSock serv);

int smtp_send (HLSock serv, char *sender, char *addr, FILE *tfp, off_t from);

#endif /* defined(_SMTP_H) */
